pmatch(1)

NAME
pmatch

SYNOPSIS
pmatch [options] [[<as-no>] <destination-specification>]

DESCRIPTION

pmatch prints matching policies for <destination-specification> in aut-num object of <as-no>. <destination-specification> can be an AS number, an IP address, a host name or an address prefix. If <as-no> is not specified it is deduced for your system from the IP address of your host and IRR. If no <destination-specification> is given pmatch goes into a command loop where it inputs <destination-specification> from stdin, one at a line.

RAToolSet COMMON OPTIONS

    -help
        Print summary of command-line options and abort.

    -T [whois_query | whois_response | input | all]
        Trace the argument. Useful for debugging.

    -D <integer>
        Print debugging messages of debug channel <integer> (if compiled with DEBUG defined).

    -version
        Print the version number and quit.

    -h <host-name>
        Establish an radbserver connection to host <host-name>.

    -p <port-no>
        Establish an radbserver connection to port <port-no>.

    -s <source-list>
        Consider the sources specified in the comma separated <source-list>. If an object is defined in multiple sources in <source-list>, pmatch uses the definition first encountered in <source-list> from left to right.

    -rusage
        Print resource usage upon completion.

    -prompt <string>
        Set the interactive prompt to <string>.

    -ignore_errors
        Do not print error and warning messages due to communication to the database server or parsing policy objects.

    -report_errors
        Print error and warning messages due to communication to the database server or parsing policy objects.

OTHER OPTIONS

    -as <as-no>
        Syntax check the aut-num object for <as-no>.

    -mms
        Route filters match more specific routes in addition to exact match (the default). That is, with this option "as-in: from AS1 10 accept {128.9.0.0/16}" matches 128.9.9.9/32.

    -as_out
        Also report matching export policies. By default only matching import policies are reported.

    -echo_as
        Print the aut-num object before matching.

ENVIRONMENT VARIABLES

    IRR_HOST
        Specifies the radbserver host to connect.

    IRR_PORT
        Specifies the radbserver port number to connect.

    IRR_SOURCES
        Specifies the source list (comma separated) to consider.

Command line options take precedence over environment variables.

EXAMPLES

% ./pmatch -as AS3130
Matching against aut-num: AS3130
pmatch> AS226
Route:
   NLRI: don't care
   Origins: AS226
   Communities: don't care
as-in: AS1792 pref=10
as-in: AS3561 pref=10
pmatch> cat.isi.edu
Route:
   NLRI: 128.9.0.0/16
   Origins: AS226
   Communities:
as-in: AS1792 pref=10
as-in: AS3561 pref=10
pmatch> 128.8.0.0/16
Route:
   NLRI: 128.8.0.0/16
   Origins: AS2548
   Communities: COMM_ANS_CORE
as-in: AS1792 pref=10
as-in: AS3561 pref=10

AUTHORS
Cengiz Alaettinoglu <cengiz@isi.edu>